# Comments Object

> Source: https://truto.one/docs/api-reference/unified-ci-cd-api/comments/

Schema for the `Comments` resource in **Unified CI/CD API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the comment
- **`pull_request`** _(object)_
  The pull request that the comment belongs to
  - **`id`** _(string)_
    The unique identifier for the pull request
  - **`number`** _(integer)_
    The number of the pull request
- **`body`** _(object)_
  The body of the comment
  - **`content`** _(string)_
    The content of the comment
  - **`format`** _(string)_
    The format of the comment body
    Allowed: `markdown`, `html`, `plaintext`
- **`author`** _(object)_
  The author of the comment
  - **`id`** _(string)_
    The unique identifier for the author
  - **`username`** _(string)_
    The username of the author
  - **`type`** _(string)_
    The type of the author
    Allowed: `user`, `bot`
- **`type`** _(string)_
  The type of the comment
  Allowed: `conversation_comment`, `review_comment`
- **`parent`** _(object)_
  The parent comment this is a reply to
  - **`id`** _(string)_
    The unique identifier for the comment
- **`path`** _(string)_
  The file path the comment is associated with (for review comments)
- **`line`** _(integer)_
  The line number the comment is associated with (for review comments)
- **`commit`** _(object)_
  The commit the comment is associated with
  - **`id`** _(string)_
    The SHA of the commit
- **`created_at`** _(string)_
  The date and time when the comment was created
- **`updated_at`** _(string)_
  The date and time when the comment was last updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ci-cd/comments](/docs/api-reference/unified-ci-cd-api/comments/list) — List Comments
